Bug 23197 - Драйвер u200.ko не работает с NetworkManager
: Драйвер u200.ko не работает с NetworkManager
Status: CLOSED WONTFIX
: Branch p5
(All bugs in Branch p5/cross-component)
: unspecified
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-03-20 15:36 by
Modified: 2014-09-28 20:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-03-20 15:36:31
Mar 20 14:25:05 eeepc kernel: [  108.444085] usb 1-2: new high speed USB device 
using ehci_hcd and address 6
Mar 20 14:25:05 eeepc kernel: [  108.576856] usb 1-2: New USB device found,
idVe
ndor=04e8, idProduct=6761
Mar 20 14:25:05 eeepc kernel: [  108.576873] usb 1-2: New USB device strings:
Mf
r=1, Product=2, SerialNumber=0
Mar 20 14:25:05 eeepc kernel: [  108.576886] usb 1-2: Product: Samsung USB
mWiMAX Modem  
Mar 20 14:25:05 eeepc kernel: [  108.576896] usb 1-2: Manufacturer: SAMSUNG
ELECTRONICS Co.Ltd.
Mar 20 14:25:05 eeepc kernel: [  108.577289] usb 1-2: configuration #1 chosen
from 1 choice
Mar 20 14:25:05 eeepc kernel: [  108.580182] scsi4 : SCSI emulation for USB
Mass Storage devices
Mar 20 14:25:05 eeepc kernel: [  108.763911] U200:init
Mar 20 14:25:05 eeepc kernel: [  108.763916] Creating workqueue
Mar 20 14:25:05 eeepc kernel: [  108.764097] U200:probe
Mar 20 14:25:05 eeepc kernel: [  108.764201] usbcore: registered new interface
driver u200

Mar 20 14:25:06 eeepc NetworkManager: <info>  (eth1): driver does not support
SSID scans (scan_capa 0x00). 
Mar 20 14:25:06 eeepc NetworkManager: <info>  (eth1): new 802.11 WiFi device
(driver: 'usb')

Соответственно сеть не выбрать и не подключиться.
Однако через wpa_supplicant всё работает прекрасно.
------- Comment #1 From 2010-04-05 12:57:45 -------
У меня на свежем сизифе не подтверждается.
------- Comment #2 From 2010-04-05 13:25:29 -------
А что на счёт p5 ?
------- Comment #3 From 2010-04-05 14:14:09 -------
Работает. Проверялось на x86_64 но не думаю что есть разница.
------- Comment #4 From 2010-04-24 22:30:35 -------
Цитирую NM:

if (scan_capa_range->scan_capa & NM_IW_SCAN_CAPA_ESSID) {
  // то всё хорошо
} else {
  // иначе всё плохо
}

http://git.altlinux.org/people/sem/packages/?p=NetworkManager.git;a=blob;f=NetworkManager/src/nm-device-wifi.c;h=77f97cbb5da84d9784eb339a1bfe006e2268e9c5;hb=master#l594

А в u200,c ответной части я не нашёл. Предлагаю её добавить:

diff --git a/u200.c b/u200.c
index 24d6bc1..6151216 100644
--- a/u200.c
+++ b/u200.c
@@ -702,6 +702,7 @@ u200_get_range(struct net_device *net, struct
iw_request_info *info,
     range->freq[0].e=6;
     range->freq[0].i=1;

+    range->scan_capa |= IW_SCAN_CAPA_ESSID;

     return 0;
 }
------- Comment #5 From 2014-09-28 20:57:19 -------
Применительно к p5, видимо, wontfix.